Subject: Re: [PATCH net-next v2] bonding: move 802.3ad port state flags to uapi

From: David Ahern <[email-masked]>
Date: Sun, 15 Dec 2019 20:10:15 -0700

On 12/14/19 2:18 PM, Jakub Kicinski wrote:
> On Wed, 11 Dec 2019 14:30:58 -0800, Andy Roulin wrote:
>> The bond slave actor/partner operating state is exported as
>> bitfield to userspace, which lacks a way to interpret it, e.g.,
>> iproute2 only prints the state as a number:
>>
>> ad_actor_oper_port_state 15
>>
>> For userspace to interpret the bitfield, the bitfield definitions
>> should be part of the uapi. The bitfield itself is defined in the
>> 802.3ad standard.
>>
>> This commit moves the 802.3ad bitfield definitions to uapi.
>>
>> Related iproute2 patches, soon to be posted upstream, use the new uapi
>> headers to pretty-print bond slave state, e.g., with ip -d link show
>>
>> ad_actor_oper_port_state_str <active,short_timeout,aggregating,in_sync>
>>
>> Signed-off-by: Andy Roulin <[email-masked]>
>> Acked-by: Roopa Prabhu <[email-masked]>
> 
> Applied, I wonder if it wouldn't be better to rename those
> s/AD_/BOND_3AD_/ like the prefix the stats have. 
> But I guess it's unlikely user space has those exact defines 
> set to a different value so can't cause a clash..
> 

I think that would be a better namespace now that it is in the UAPI.